C
C     Include file dskdsc.inc
C
C     This include file declares parameters for DSK segment descriptors.
C
C        Version 1.0.0 20-JUN-2006 (NJB)
C
C     DSK segment descriptors are implemented as an array of d.p.
C     numbers.  Note that each integer descriptor datum occupies one
C     d.p. value. 
C
C     
C     
C
C     Segment descriptor parameters
C
C     Each segment descriptor occupies a contiguous
C     range of DAS d.p. addresses.
C
C        The DSK segment descriptor layout is:
C
C           +-----------------+
C           | Object ID code  |      
C           +-----------------+
C           | Flags 1         |  
C           +-----------------+
C           | Flags 2         |  
C           +-----------------+
C           | Data type       |  
C           +-----------------+
C           | Min longitude   |  
C           +-----------------+
C           | Max longitude   |  
C           +-----------------+
C           | Min latitude    |  
C           +-----------------+
C           | Max latitude    |  
C           +-----------------+
C
C     Parameters defining offsets for segment descriptor elements
C     follow.
C
      INTEGER               OBJIDX
      PARAMETER           ( OBJIDX = 1 )

      INTEGER               FL1IDX
      PARAMETER           ( FL1IDX = OBJIDX + 1 )

      INTEGER               FL2IDX
      PARAMETER           ( FL2IDX = FL1IDX + 1 )

      INTEGER               TYPIDX
      PARAMETER           ( TYPIDX = FL2IDX + 1 )

      INTEGER               LNBIDX
      PARAMETER           ( LNBIDX = TYPIDX + 1 )

      INTEGER               LNEIDX
      PARAMETER           ( LNEIDX = LNBIDX + 1 )

      INTEGER               LTBIDX
      PARAMETER           ( LTBIDX = LNEIDX + 1 )

      INTEGER               LTEIDX
      PARAMETER           ( LTEIDX = LTBIDX + 1 )
C
C     Descriptor size:
C
      INTEGER               DSKDSZ
      PARAMETER           ( DSKDSZ = LTEIDX )


C
C     Flag values for the first flag element:
C
C        The 2^0 bit indicates availability of 3-D topography data.
C
      INTEGER               FL13DT
      PARAMETER           ( FL13DT = 1 )

C
C        The 2^1 bit indicates availability of normal vectors.
C
      INTEGER               FL1NRM
      PARAMETER           ( FL1NRM = FL13DT * 2 )

C
C        The 2^2 bit indicates  availability of albedo data.
C
      INTEGER               FL1ALB
      PARAMETER           ( FL1ALB = FL1NRM * 2 )

C
C        The 2^3 bit indicates  availability of equipotential data.
C
      INTEGER               FL1EQP
      PARAMETER           ( FL1EQP = FL1ALB * 2 )

C
C     End of include file dskdsc.inc
C

